//
// Generated stub from file:/buildfactory/kundo/hudson/jobs/Release-Kundo_Plug-ins/workspace/plugins/target/checkout/plugins/kundo-reactor-plugin/src/main/groovy/org/openscm/kundo/factory/ModuleStrategyFactory.groovy
//

package org.openscm.kundo.factory;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;
import groovy.lang.*;
import groovy.util.*;
import org.openscm.kundo.common.logging.SimpleLogger;
import org.openscm.kundo.strategy.ModuleStrategy;
import org.openscm.kundo.strategy.DefaultModuleStrategy;
import org.openscm.kundo.strategy.MavenModuleStrategy;
import org.openscm.kundo.strategy.EclipseModuleStrategy;

/**
 * Module Strategy Factory
 *
 * @author <a href="mailto:nigel.garner@upco.co.uk">Nigel Garner</a>
 * @version 1.0.0

Description: The Module Strategy Factory identifies and returns an appropriate Module Strategy based on the build context.

<p>The Module Strategy Factory identifies an appropriate module strategy from from data within the BuildContext.
If a pom file is available in the build context pom.location property then a MavenModuleStrategy will be returned.
If no strategy can be identified then the DefaultModuleStrategy will be returned</p>
 */
public class ModuleStrategyFactory
    extends java.lang.Object
{
    /**
     * AntBuilder instance. *
     */
    private AntBuilder ant = null;

    /**
     * Logger instance. *
     */
    final private SimpleLogger log = null;
    final public SimpleLogger getLog() {
        throw new InternalError("Stubbed method");
    }

    private ModuleStrategyFactory(java.lang.Void void1, java.lang.Void void2, java.lang.Void void3) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Constructor sets ant instance
     *
     * @param ant AntBuilder instance
     */
    public ModuleStrategyFactory(java.lang.Object ant) {
        this((java.lang.Void)null, (java.lang.Void)null, (java.lang.Void)null);
        throw new InternalError("Stubbed method");
    }

    /**
     * Identifies and returns an appropriate ModuleStrategy for the current state.
     *
     * @param buildContext The current BuildContext instance containing the global ant project.
     * @return ModuleStrategy Instance of the appropriate ModuleStrategy for the current build context data.
     */
    public ModuleStrategy getModuleStrategy(java.lang.Object buildContext) {
        throw new InternalError("Stubbed method");
    }

    public groovy.lang.MetaClass getMetaClass() {
        throw new InternalError("Stubbed method");
    }

    public void setMetaClass(groovy.lang.MetaClass metaClass) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object getProperty(java.lang.String name) {
        throw new InternalError("Stubbed method");
    }

    public void setProperty(java.lang.String name, java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }
}
